HanMacWrdKGraphInternal::Picture Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdKGraphInternal::Picture Struct Reference

Internal: the picture of a HanMacWrdKGraph. More...

## Public Member Functions
| Picture (std::shared_ptr< HanMacWrdKZone > const &zone)
| constructor More...
| ~Picture ()
| destructor More...

## Public Attributes
std::shared_ptr< HanMacWrdKZone > | m_zone
| the main zone More...
long | m_pos [2]
| the first and last position of the picture data in the zone More...
long | m_fileId
| the file id More...
long | m_fileSubId
| the file subid More...
bool | m_parsed
| a flag to know if the picture was send to the receiver More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Picture const &pict)
| operator<< More...

## Detailed Description

Internal: the picture of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## ◆ Picture()

HanMacWrdKGraphInternal::Picture::Picture | ( | std::shared_ptr< HanMacWrdKZone > const & | zone | ) |
| inlineexplicit

constructor

## ◆ ~Picture()

HanMacWrdKGraphInternal::Picture::~Picture | ( |  | ) |
| inline

destructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Picture const & | pict
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string HanMacWrdKGraphInternal::Picture::m_extra

extra data

## ◆ m_fileId

long HanMacWrdKGraphInternal::Picture::m_fileId

the file id

## ◆ m_fileSubId

long HanMacWrdKGraphInternal::Picture::m_fileSubId

the file subid

## ◆ m_parsed

bool HanMacWrdKGraphInternal::Picture::m_parsed
| mutable

a flag to know if the picture was send to the receiver

Referenced by HanMacWrdKGraph::sendPicture().

## ◆ m_pos

long HanMacWrdKGraphInternal::Picture::m_pos[2]

the first and last position of the picture data in the zone

Referenced by Picture(), and HanMacWrdKGraph::sendPicture().

## ◆ m_zone

std::shared_ptr<HanMacWrdKZone> HanMacWrdKGraphInternal::Picture::m_zone

the main zone

Referenced by HanMacWrdKGraph::sendPicture().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx